Bug 564245

Summary: FTBFS failures due to change in Implicit DSO Linking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: distributionAssignee: Bill Nottingham <notting>
Status: CLOSED CURRENTRELEASE QA Contact: Bill Nottingham <notting>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: bruno, dcantrell, patrickm, roland, rvokal
Target Milestone: ---Keywords: Tracking, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-13 16:45:35 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 555493, 564598, 564599, 564600, 564602, 564605, 564606, 564607, 564608, 564609, 564610, 564611, 564614, 564615, 564617, 564619, 564620, 564621, 564623, 564624, 564625, 564626, 564627, 564629, 564630, 564635, 564636, 564637, 564638, 564639, 564640, 564642, 564644, 564645, 564647, 564648, 564649, 564653, 564656, 564658, 564659, 564660, 564661, 564662, 564663, 564665, 564666, 564667, 564669, 564670, 564672, 564673, 564675, 564676, 564679, 564681, 564684, 564685, 564688, 564689, 564691, 564693, 564694, 564696, 564697, 564698, 564699, 564701, 564703, 564705, 564706, 564707, 564708, 564709, 564711, 564713, 564714, 564717, 564719, 564720, 564721, 564722, 564723, 564724, 564725, 564727, 564729, 564730, 564732, 564734, 564737, 564739, 564740, 564741, 564742, 564743, 564744, 564745, 564746, 564747, 564751, 564753, 564754, 564755, 564758, 564759, 564760, 564761, 564763, 564764, 564766, 564767, 564768, 564772, 564773, 564774, 564775, 564776, 564777, 564782, 564783, 564784, 564785, 564786, 564787, 564790, 564791, 564793, 564794, 564795, 564797, 564799, 564800, 564801, 564802, 564803, 564804, 564805, 564806, 564807, 564809, 564810, 564811, 564812, 564813, 564814, 564815, 564818, 564819, 564820, 564823, 564824, 564826, 564828, 564829, 564831, 564834, 564840, 564841, 564842, 564843, 564844, 564845, 564847, 564848, 564850, 564851, 564852, 564853, 564855, 564856, 564858, 564859, 564860, 564861, 564863, 564864, 564866, 564867, 564868, 564870, 564871, 564873, 564875, 564876, 564877, 564879, 564881, 564882, 564883, 564885, 564888, 564889, 564890, 564892, 564893, 564894, 564895, 564896, 564898, 564899, 564900, 564901, 564902, 564903, 564904, 564906, 564907, 564908, 564910, 564911, 564914, 564917, 564919, 564920, 564921, 564922, 564924, 564925, 564926, 564927, 564928, 564929, 564930, 564931, 564932, 564934, 564937, 564938, 564941, 564945, 564946, 564948, 564950, 564951, 564953, 564956, 564957, 564958, 564959, 564960, 564961, 564962, 564963, 564964, 564966, 564967, 564968, 564969, 564970, 564973, 564974, 564975, 564976, 564977, 564978, 564979, 564982, 564985, 564987, 564988, 564989, 564992, 564993, 564995, 564999, 565002, 565003, 565004, 565006, 565008, 565009, 565014, 565015, 565016, 565017, 565018, 565019, 565022, 565028, 565029, 565031, 565032, 565033, 565034, 565035, 565037, 565039, 565040, 565041, 565042, 565043, 565046, 565047, 565049, 565052, 565053, 565054, 565055, 565056, 565058, 565060, 565061, 565062, 565064, 565067, 565068, 565069, 565070, 565071, 565072, 565073, 565075, 565077, 565078, 565079, 565080, 565081, 565082, 565083, 565084, 565087, 565090, 565094, 565095, 565096, 565097, 565099, 565100, 565101, 565102, 565103, 565104, 565105, 565106, 565108, 565109, 565110, 565112, 565113, 565114, 565118, 565119, 565120, 565121, 565122, 565123, 565124, 565125, 565127, 565128, 565129, 565131, 565134, 565137, 565138, 565140, 565142, 565143, 565145, 565146, 565147, 565149, 565150, 565153, 565154, 565157, 565159, 565161, 565162, 565163, 565164, 565165, 565166, 565169, 565170, 565171, 565173, 565174, 565175, 565176, 565178, 565179, 565181, 565183, 565184, 565186, 565187, 565188, 565189, 565190, 565191, 565194, 565197, 565198, 565200, 565202, 565203, 565204, 565207, 566101    
Bug Blocks: 538681    

Description FTBFS 2010-02-11 23:38:21 EST
Description of problem:
Tracker bug for bugs due to http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking
Comment 1 Charley Wang 2010-02-24 14:04:40 EST
For cross-reference purposes: 

Mock builds of all bugs in the 'Depends On' section of this bug are carried out regularly by Roland Grunberg and myself. The logs are posted online, along with some basic information on which libraries/symbols are failing.

The list can be found here:
https://fedoraproject.org/wiki/DSOLinkBugs#List

-Charley
Comment 2 Fedora Update System 2010-04-02 14:17:16 EDT
pino-0.2.4-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pino-0.2.4-5.fc13
Comment 3 Fedora Update System 2010-04-04 19:54:10 EDT
pino-0.2.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pino-0.2.5-1.fc13
Comment 4 Fedora Update System 2010-04-06 15:55:43 EDT
pino-0.2.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pino'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pino-0.2.5-1.fc13
Comment 5 Simon McVittie 2010-05-10 06:56:57 EDT
It would be helpful for upstreams if you could explain how to switch to this linking mode on other distributions: we'd like to help fix the telepathy-glib package, but we don't run Fedora ourselves.

We've had some bug reports from Debian about builds that fail when using GNU gold, which behaves like "ld --no-add-needed" by default - are you making --no-add-needed the default, or is this change something else?

(For instance, <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=556487>, which references <http://wiki.debian.org/qa.debian.org/FTBFS#A2009-11-02Packagesfailingbecausebinutils-gold.2BAC8-indirectlinking>.)
Comment 6 Roland McGrath 2010-05-10 19:41:58 EDT
Yes, Fedora 13's default behavior is like gold's, same as --no-add-needed to ld.
Passing -Wl,--no-add-needed early in the compilation command line (I'd recommend sticking it into ${CC}) will do it.
Comment 7 Charley Wang 2010-05-12 09:55:32 EDT
Simon:

I took a look, and I can't get telepathy-glib to fail when building with the F-13 linker. Are there any special configuration options I need to enable?

-Charley
Comment 8 Simon McVittie 2010-05-13 11:22:09 EDT
Roland:
> Yes, Fedora 13's default behavior is like gold's, same as --no-add-needed to
> ld.

Thanks, I dug this information out of a build log and fixed it in 0.11.5. For future strictness increases it'd be useful if the announcement/wiki explained to upstreams how we can reproduce Fedora behaviour without needing to install Fedora, where feasible :-)

Charley:
> I took a look, and I can't get telepathy-glib to fail when building with the
> F-13 linker.

It was a regression in the 0.11 development branch, which the Fedora telepathy-glib maintainer reported to us; judging by Fedora's versions, this has never actually been a bug in Fedora (F13 uses 0.10, and F14 only got 0.11 after I fixed this).
Comment 9 Bill Nottingham 2011-12-13 16:45:35 EST
All packages rebuilt/fixed.